; $Log:   D:/force/inc1/general.inv  $ 
;  
;     Rev 2.0   19 Dec 1989 13:38:30   library
;  Initial revision.
;  
;     Rev 1.14   09 Nov 1989 17:04:12   david
;  
;     Rev 1.13   02 Nov 1989  0:53:30   david
;  
;     Rev 1.12   31 Aug 1989  9:28:14   lloyd
;  added AKA macro
;  
;     Rev 1.11   30 Jan 1989 14:33:18   lloyd
;  added macro TPUB
;  
;     Rev 1.10   24 Nov 1988 22:42:24   david
;  added NUMBER_PARAMS equate (number of param for parameter/function)
;  
;     Rev 1.9   17 Oct 1988 10:15:12   lloyd
;  
;     Rev 1.8   29 Sep 1988 12:10:40   lloyd
;  
;     Rev 1.0   29 Sep 1988 12:10:24   lloyd
;  Initial revision.
;  
;     Rev 1.7   26 Jul 1988 10:50:26   david
;  
;     Rev 1.6   21 Jul 1988 12:21:02   lloyd
;  added macros for conditional jumps
;  
;     Rev 1.5   23 May 1988 12:18:58   lloyd
;  
;     Rev 1.4   23 May 1988 11:58:12   lloyd
;  added segment directives
;  
;     Rev 1.3   24 Feb 1988 15:44:06   david
;  TRUE/FALSE changed to "C" values
;  
;     Rev 1.2   26 Jan 1988 16:23:20   david
;  "uncommented" RSLT_BUFFER for math library...don't know why this
;  was commented out
;  
;     Rev 1.1   20 Jan 1988 16:50:26   david
;  restructured from G_STRUCT.INC. Removed type equates.
;  
;     Rev 1.0   23 Nov 1987 14:18:10   david
;  Initial revision.

; general.inc
;
;	This file contains EQUATES for the compiler and the library commands
;	and functions.
;

w_ptr		equ	word ptr
b_ptr		equ	byte ptr
d_ptr		equ	dword ptr

true		equ	0001h		;okay...so...we're the same as C
false		equ	0000h

on		equ	true
off		equ	false

yes		equ	true
no		equ	false

type_screen	equ	0
type_printer	equ	1

sign_flag	equ	80h
zero_flag	equ	40h
parity_flag	equ	4
carry_flag	equ	1

str_max		equ	256		;this includes the NULL


	;---equates for test....
	
TDEBUG		equ	0		;yes, we are debugging

TPUB		macro	tname
		if 	TDEBUG
		public	tname
		endif
		endm

AKA		macro	tname
		public	tname
tname:
		endm

;------------------------------------------------------------------------------
;	  data:	Number of parameters we'll allow to be pushed to a
;			procedure in DO procedure
;
;------------------------------------------------------------------------------

number_params	equ	64

;------------------------------------------------------------------------------
;	  data:	Default STACK stuff
;
;------------------------------------------------------------------------------

rslt_buffer	equ	8

;
;	macros for pushing stuff on stack
;

entry_push	macro
		
		push	bp
		mov	bp,sp

		push	ds
		push	si
		push	es
		push	di
	
		endm

exit_pop	macro

		pop	di
		pop	es
		pop	si
		pop	ds
		
		pop	bp

		endm

;
;	macros for far conditional jumps
;


ja_f		macro	far_label
		jbe	$+5
		jmp	far_label
		endm
jbne_f		macro	far_label
		jbe	$+5
		jmp	far_label
		endm
				
jae_f		macro	far_label
		jb	$+5
		jmp	far_label
		endm
jnb_f		macro	far_label
		jb	$+5
		jmp	far_label
		endm

jb_f		macro	far_label
		jae	$+5
		jmp	far_label
		endm
jnae_f		macro	far_label
		jae	$+5
		jmp	far_label
		endm

jbe_f		macro	far_label
		ja	$+5
		jmp	far_label
		endm
jna_f		macro	far_label
		ja	$+5
		jmp	far_label
		endm


je_f		macro	far_label
		jne	$+5
		jmp	far_label
		endm
jz_f		macro	far_label
		jne	$+5
		jmp	far_label
		endm

jg_f		macro	far_label
		jle	$+5
		jmp	far_label
		endm
jnle_f		macro	far_label
		jle	$+5
		jmp	far_label
		endm

jge_f		macro	far_label
		jl	$+5
		jmp	far_label
		endm
jnl_f		macro	far_label
		jl	$+5
		jmp	far_label
		endm

jl_f		macro	far_label
		jge	$+5
		jmp	far_label
		endm
jnge_f		macro	far_label
		jge	$+5
		jmp	far_label
		endm

jle_f		macro	far_label
		jg	$+5
		jmp	far_label
		endm
jng_f		macro	far_label
		jg	$+5
		jmp	far_label
		endm

jne_f		macro	far_label
		je	$+5
		jmp	far_label
		endm
jnz_f		macro	far_label
		je	$+5
		jmp	far_label
		endm

jc_f		macro	far_label
		jnc	$+5
		jmp	far_label
		endm

jnc_f		macro	far_label
		jc	$+5
		jmp	far_label
		endm


