#INCLUDE STRING.HDR
#INCLUDE MATH.HDR

VARDEF EXTERN
  BYTE __color_std, __color_enhcd
ENDDEF

PROCEDURE Between
  PARAMETERS VALUE INT   b_row,;
             VALUE INT   b_left,;
             VALUE INT   b_right,;
             VALUE CHAR  b_string,;
             VALUE BYTE  b_color

  VARDEF
    INT      center_pos
    INT      start_pos
    INT      length
    BYTE     old_colorh
    BYTE     old_colors
  ENDDEF

  old_colors = __color_std
  old_colorh = __color_enhcd

  * b_string = TRIM( b_string )
  length = LEN( b_string )

  IF length > ( b_right - b_left )
    b_string = LEFT( b_string, ( b_right - b_left ) )
    length   = LEN( b_string )
  ENDIF

  center_pos = TRUNC( ( b_right - b_left ) / 2 ) + b_left
  start_pos  = center_pos - TRUNC( length / 2 ) + 1

  __color_std   = b_color

  @b_row, start_pos SAY b_string

  __color_std   = old_colors
  __color_enhcd = old_colorh

ENDPRO                                 && PROCEDURE Between


PROCEDURE Middle
  PARAMETERS VALUE INT   m_row,;
             VALUE CHAR  m_string,;
             VALUE BYTE  m_color

  * m_string = TRIM( m_string )
  Between( m_row, 0, 79, m_string, m_color )
ENDPRO                                 && PROCEDURE Middle
