#INCLUDE SYSTEM.HDR
#INCLUDE STRING.HDR
#INCLUDE io.hdr
#INCLUDE date.hdr


FUNCTION CHAR( 10 ) indexdate PROTOTYPE
  PARAMETERS CONST DATE date_value

*******************************************************************************
*                            FUNCTION File_Date()                             *
*
*- description:  Finds the Index_Date()+Time() of a file
*
*- parameters:  CHAR( 80 )   file to find date for
*
*- returns:     CHAR( 16 )   the actual date/time stamp in CHAR format
*                            "YYYY/MM/DDHH:MM:SS"
*
FUNCTION CHAR( 18 ) file_date
  PARAMETERS VALUE CHAR( 80 ) fd_filename

  VARDEF
    CHAR( 18 ) fd_return
    DATE     fd_filedate
    CHAR( 8 )  fd_filetime
  ENDDEF

  fd_filename = TRIM( fd_filename )

  IF .NOT. FIND_FIRST( fd_filename, 0x3f )
    fd_return = "0"
  ELSE
    fd_filedate = FIND_FDATE()
    fd_filetime = FIND_FTIME()

    fd_return   = indexdate( fd_filedate )+fd_filetime
  ENDIF

  RETURN fd_return
ENDPRO
