#INCLUDE STRING.HDR
#INCLUDE IO.HDR

VARDEF EXTERN
  BYTE __color_std, __color_enhcd
ENDDEF

PROCEDURE Between PROTOTYPE
  PARAMETERS VALUE INT   b_row,;
             VALUE INT   b_left,;
             VALUE INT   b_right,;
             VALUE CHAR  b_string,;
             VALUE BYTE  b_color


FUNCTION INT ScrollBox
  PARAMETERS VALUE INT      s_row,;    && !NOTE:  row is 0 based
             VALUE INT      s_top,;
             VALUE INT      s_left,;
             VALUE INT      s_bottom,;
             VALUE INT      s_right,;
             CONST CHAR     sx_string,;
             VALUE LOGICAL  s_centered,;
             VALUE BYTE     s_color

  VARDEF
    BYTE  s_old_colorh
    BYTE  s_old_colors
    CHAR  s_string
  ENDDEF

  s_string = sx_string

  s_old_colors = __color_std
  s_old_colorh = __color_enhcd

  IF s_row + s_top > s_bottom
    s_row = s_bottom - s_top
    SCROLL( &scrl_up, s_top, s_left, s_bottom, s_right, 1, s_old_colors )
  ENDIF

  __color_std = s_color

  IF s_row < 0
    s_row = 0
  ENDIF

  s_string = LEFT( s_string, ( s_right - s_left + 1 ) )

  IF s_centered
    Between( s_row+s_top, s_left, s_right, s_string, s_color )
  ELSE
    @s_row+s_top, s_left SAY s_string
  ENDIF

  __color_std = s_old_colors
  __color_enhcd = s_old_colorh

  s_row = s_row + 1

  RETURN s_row
ENDPRO
